Worpress 2.1.1 compromized

I just found that when logging into my blog this morning:
http://wordpress.org/development/2007/03/upgrade-212/

The 2.1.1 code has been modified… Recommendation is to upgrade to 2.1.2.

edit: Slashdot link